summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-28 03:05:04 -0500
committerCrucible <crucible@localhost>2026-09-28 03:05:04 -0500
commit97f0accadef9006a8eaa198a93d9d8c2de538b63 (patch)
tree83e86eeaec2bad73d2ad64ee21d0ababdd5934ef /dev-python
parentc8fd7bb01e09d7af5b5c8aac5cb6d2e816154482 (diff)
downloadsrcux-97f0accadef9006a8eaa198a93d9d8c2de538b63.tar.gz
srcux-97f0accadef9006a8eaa198a93d9d8c2de538b63.tar.xz
srcux-97f0accadef9006a8eaa198a93d9d8c2de538b63.zip
Publish srcux candidate 0000000516-20260928-030306HEADdevelop
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/boltons/boltons-26.2.0.ebuild2
-rw-r--r--dev-python/coverage/Manifest2
-rw-r--r--dev-python/coverage/coverage-7.16.0.ebuild2
-rw-r--r--dev-python/coverage/coverage-7.16.2.ebuild108
-rw-r--r--dev-python/cryptography/cryptography-50.0.1.ebuild2
-rw-r--r--dev-python/cypari2/cypari2-2.2.4-r1.ebuild (renamed from dev-python/cypari2/cypari2-2.2.4.ebuild)2
-rw-r--r--dev-python/dbus-fast/dbus-fast-5.0.22.ebuild1
-rw-r--r--dev-python/dbus-python/dbus-python-1.4.0.ebuild94
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.168.2.ebuild143
-rw-r--r--dev-python/peewee/Manifest1
-rw-r--r--dev-python/peewee/peewee-4.5.2.ebuild83
-rw-r--r--dev-python/pytest-mock/Manifest2
-rw-r--r--dev-python/pytest-mock/pytest-mock-3.16.0.ebuild54
-rw-r--r--dev-python/python-slugify/Manifest1
-rw-r--r--dev-python/python-slugify/python-slugify-9.1.2.ebuild32
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-30.20.0.ebuild (renamed from dev-python/sqlglot/sqlglot-30.18.0.ebuild)0
-rw-r--r--dev-python/tox/Manifest16
-rw-r--r--dev-python/tox/tox-4.58.0.ebuild80
-rw-r--r--dev-python/tox/tox-4.60.1.ebuild84
-rw-r--r--dev-python/tox/tox-4.61.3.ebuild84
-rw-r--r--dev-python/tox/tox-4.62.0.ebuild84
-rw-r--r--dev-python/tox/tox-4.64.1.ebuild84
-rw-r--r--dev-python/tox/tox-4.64.2.ebuild84
-rw-r--r--dev-python/tox/tox-4.64.4.ebuild (renamed from dev-python/tox/tox-4.61.5.ebuild)0
-rw-r--r--dev-python/werkzeug/Manifest2
-rw-r--r--dev-python/werkzeug/werkzeug-3.1.9.ebuild53
-rw-r--r--dev-python/wrapt/Manifest2
-rw-r--r--dev-python/wrapt/wrapt-2.5.0.ebuild40
30 files changed, 532 insertions, 613 deletions
diff --git a/dev-python/boltons/boltons-26.2.0.ebuild b/dev-python/boltons/boltons-26.2.0.ebuild
index a2dc8fc45838..218b01183b93 100644
--- a/dev-python/boltons/boltons-26.2.0.ebuild
+++ b/dev-python/boltons/boltons-26.2.0.ebuild
@@ -12,7 +12,7 @@ HOMEPAGE="https://boltons.readthedocs.io/"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
EPYTEST_PLUGINS=()
distutils_enable_tests pytest
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index a881da25bfb9..83cbd8b853dd 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -4,3 +4,5 @@ DIST coverage-7.16.0.tar.gz 945620 BLAKE2B 5f93ac8e2a91c354fb7dc57fc710613f639ec
DIST coverage-7.16.0.tar.gz.provenance 9905 BLAKE2B 7c9a6480d9295ea7818c83285ae379c29a255b7a8252cfe5b80dbc8cc0af289d15bd6e9306af9e656271e443994a0a867a4ac0a385b75fb612a82e997985848e SHA512 c28195e374aa4330625f979e851b4d54c6040f8a3044059a0d218254b7d66d9087129051f0e4b2a24f39effc13ddd26b76f0baa341ffd803e7d6f3dd206acd33
DIST coverage-7.16.1.tar.gz 969651 BLAKE2B 0b33a919ba5722d9ff20c3561f096677abfbced651e9d4ac5f7c295276f777e41263c043de2e7fc7c9543403deb230ad00b2cd4b3ca46fae2136304fde25ec93 SHA512 5d5b295b3462d558656e4c1ce060c12f0e4cf20cfd4aeec51a1100d331929cfdf4e0f5fa5a7d695e817de8466f27252af92e52d43ae3bd88e7705dd5cb874d01
DIST coverage-7.16.1.tar.gz.provenance 9764 BLAKE2B 141169c22de5d80d552c8c3af4fc75fb348ac50fa92ce18104c9bfaa46aeb53f467932d32caf89a04f6d49ec563096154ea767d3a60ff2e484c88056d629b811 SHA512 5b64badff085ff8132d8c324607d15994796a090fff39523cc341265748f265deac36005298381214ef6c8abb2ff5d0098c53b15d329fb454aaef1f9c6c8ed5d
+DIST coverage-7.16.2.tar.gz 971999 BLAKE2B 936073cf3fbc3ebe1974f12f1976a697a648cdcdb55b86f19d30dc3b54380d168477970a00678e3c7dcbc5ecc6d0fb6d54e1c6caa61797f7693f72d786a2221e SHA512 0800342b41ca17b3fb681d9181235790be18cf011158c4f67a89effdbd927fbe0c29dc79569aa2d668a8ad39141f33d380cd79bf02e393853089df2eccf6e7d5
+DIST coverage-7.16.2.tar.gz.provenance 9764 BLAKE2B 60fb6766e20897c90eb7a413f933b1c133f90b3b6056001bf9184656f4905f75db738f26ed0ee2a5a91ff649d25b8689bdfa96945f08f97a30ac05db4115a86c SHA512 74aa4309b4391f3b2f3ea365afff5f4884b3cca46e9da85e08ee492f802e77daef0d0542ed84f8e9e41a000bd7e9195fe085075efc18ba3a6abccdf1e444889b
diff --git a/dev-python/coverage/coverage-7.16.0.ebuild b/dev-python/coverage/coverage-7.16.0.ebuild
index d505ded52b86..31d0c11b537c 100644
--- a/dev-python/coverage/coverage-7.16.0.ebuild
+++ b/dev-python/coverage/coverage-7.16.0.ebuild
@@ -20,7 +20,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
IUSE="+native-extensions"
BDEPEND="
diff --git a/dev-python/coverage/coverage-7.16.2.ebuild b/dev-python/coverage/coverage-7.16.2.ebuild
new file mode 100644
index 000000000000..bb83b5e46e2e
--- /dev/null
+++ b/dev-python/coverage/coverage-7.16.2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/coveragepy/coveragepy
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/coveragepy/coveragepy/
+ https://pypi.org/project/coverage/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+BDEPEND="
+ test? (
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-{rerunfailures,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_compile() {
+ if ! use native-extensions; then
+ local -x COVERAGE_DISABLE_EXTENSION=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+test_tracer() {
+ local -x COVERAGE_CORE=${1}
+
+ if [[ ${EPYTHON} == python3.15 && ${COVERAGE_CORE} == sysmon ]] &&
+ has_version "dev-lang/python:3.15[jit]"
+ then
+ local EPYTEST_DESELECT=(
+ "${EPYTEST_DESELECT[@]}"
+ tests/test_arcs.py::LoopArcTest::test_continue
+ )
+ fi
+
+ einfo " Testing with the ${COVERAGE_CORE} core ..."
+ nonfatal epytest -o addopts= "${@:2}" tests ||
+ die "Tests failed with ${EPYTHON}, ${COVERAGE_CORE} core"
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken because of pytest plugins explicity loaded
+ tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
+ # these expect specific availability of C extension matching
+ # COVERAGE_CORE (which breaks testing pytracer on CPython)
+ tests/test_cmdline.py::CmdLineStdoutTest::test_version
+ tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
+ # packaging tests, fragile to setuptools version
+ tests/test_setup.py
+ )
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+
+ local jobs=${EPYTEST_JOBS:-$(makeopts_jobs)}
+ local xdist_args=()
+ if [[ ${jobs} -gt 1 ]]; then
+ # required upstream to avoid cross-test conflicts
+ xdist_args+=( --dist=loadgroup )
+ fi
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" coverage/ || die
+ test_tracer ctrace "${xdist_args[@]}"
+ fi
+
+ test_tracer pytrace "${xdist_args[@]}"
+
+ # available since Python 3.12
+ test_tracer sysmon "${xdist_args[@]}"
+
+ if [[ -n ${c_ext} ]]; then
+ rm coverage/*.so || die
+ fi
+}
diff --git a/dev-python/cryptography/cryptography-50.0.1.ebuild b/dev-python/cryptography/cryptography-50.0.1.ebuild
index 379f03b9a0d2..f71113cfaf9e 100644
--- a/dev-python/cryptography/cryptography-50.0.1.ebuild
+++ b/dev-python/cryptography/cryptography-50.0.1.ebuild
@@ -69,7 +69,7 @@ LICENSE+="
Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT Unicode-3.0
"
SLOT="0"
-KEYWORDS="~amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
>=dev-libs/openssl-1.0.2o-r6:0=
diff --git a/dev-python/cypari2/cypari2-2.2.4.ebuild b/dev-python/cypari2/cypari2-2.2.4-r1.ebuild
index 972446951cc7..b6626b852866 100644
--- a/dev-python/cypari2/cypari2-2.2.4.ebuild
+++ b/dev-python/cypari2/cypari2-2.2.4-r1.ebuild
@@ -16,7 +16,7 @@ LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="amd64 ~riscv"
-DEPEND=">=sci-mathematics/pari-2.17.1:=[gmp,doc]
+DEPEND=">=sci-mathematics/pari-2.17.1:=[gmp(+),doc]
dev-python/cysignals[${PYTHON_USEDEP}]"
RDEPEND="${DEPEND}"
BDEPEND=">=dev-python/cython-3[${PYTHON_USEDEP}]"
diff --git a/dev-python/dbus-fast/dbus-fast-5.0.22.ebuild b/dev-python/dbus-fast/dbus-fast-5.0.22.ebuild
index 699febcac281..8a2710d12155 100644
--- a/dev-python/dbus-fast/dbus-fast-5.0.22.ebuild
+++ b/dev-python/dbus-fast/dbus-fast-5.0.22.ebuild
@@ -26,6 +26,7 @@ KEYWORDS="amd64 ~riscv"
IUSE="+native-extensions"
BDEPEND="
+ <dev-python/cython-3.3[${PYTHON_USEDEP}]
>=dev-python/cython-3[${PYTHON_USEDEP}]
>=dev-python/setuptools-65.4.1[${PYTHON_USEDEP}]
test? (
diff --git a/dev-python/dbus-python/dbus-python-1.4.0.ebuild b/dev-python/dbus-python/dbus-python-1.4.0.ebuild
deleted file mode 100644
index 71ead21b496b..000000000000
--- a/dev-python/dbus-python/dbus-python-1.4.0.ebuild
+++ /dev/null
@@ -1,94 +0,0 @@
-# Copyright 1999-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{13..14} )
-PYTHON_REQ_USE="threads(+)"
-
-inherit autotools python-r1
-
-DESCRIPTION="Python bindings for the D-Bus messagebus"
-HOMEPAGE="
- https://www.freedesktop.org/wiki/Software/DBusBindings/
- https://dbus.freedesktop.org/doc/dbus-python/
-"
-SRC_URI="https://dbus.freedesktop.org/releases/${PN}/${P}.tar.xz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
-IUSE="doc examples test"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RESTRICT="!test? ( test )"
-
-DEPEND="
- ${PYTHON_DEPS}
- >=sys-apps/dbus-1.8:=
- >=dev-libs/glib-2.40
-"
-RDEPEND="
- ${DEPEND}
-"
-BDEPEND="
- dev-build/autoconf-archive
- virtual/pkgconfig
- doc? (
- $(python_gen_any_dep '
- dev-python/sphinx[${PYTHON_USEDEP}]
- dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
- ')
- )
- test? (
- dev-python/pygobject:3[${PYTHON_USEDEP}]
- dev-python/tap-py[${PYTHON_USEDEP}]
- )
-"
-
-python_check_deps() {
- python_has_version "dev-python/sphinx[${PYTHON_USEDEP}]" \
- "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]"
-}
-
-src_prepare() {
- default
- # Update py-compile, bug 529502.
- eautoreconf
- python_copy_sources
-}
-
-src_configure() {
- use doc && python_setup
- local SPHINX_IMPL=${EPYTHON}
-
- configuring() {
- local myconf=(
- --disable-documentation
-
- # Work around broken AX_PYTHON_DEVEL macro.
- # https://bugs.gentoo.org/815136
- PYTHON_EXTRA_LIBS=' '
- )
- use doc && [[ ${EPYTHON} == ${SPHINX_IMPL} ]] &&
- myconf+=( --enable-documentation )
-
- econf "${myconf[@]}"
- }
- python_foreach_impl run_in_build_dir configuring
-}
-
-src_compile() {
- python_foreach_impl run_in_build_dir default
-}
-
-src_test() {
- unset DBUS_SESSION_BUS_ADDRESS
- python_foreach_impl run_in_build_dir default
-}
-
-src_install() {
- python_foreach_impl run_in_build_dir default
- find "${D}" -name '*.la' -type f -delete || die
-
- use examples && dodoc -r examples
-}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 6f5526209a8e..de37de4230c2 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -8,6 +8,7 @@ DIST hypothesis-6.166.0.gh.tar.gz 9698294 BLAKE2B 282339254a6c8d0b97f39d956f5212
DIST hypothesis-6.167.1.gh.tar.gz 9702396 BLAKE2B 484559752fe8b3047df0ecd53d2eab79dc90ad83e6f98fddf18aebee6cfcbb845786bfa87f78186715f4e34f84ee628769ab274bb90366841c7e92ee35af92a5 SHA512 e38edc39515d5fe682804377fc75bf0d06c1db4d585cd30f2fb4cc6e95b5ff0da8b5928e475a6653f1e37f12003d4a293967d34b09132dcbf84bc737fa24154d
DIST hypothesis-6.168.0.gh.tar.gz 9712003 BLAKE2B f6d77a8df01f8c385b4d0f23126503460f6c9a3e397a865481f0e02cfab5fe68450d3e2dfc5fac15e75ad03a08c03652e88bbd36996abb6fac7b200e50fc89b3 SHA512 38c38b042f3c7e0617a29b37681ef661dd30b6941f60699c809808474c74b1b6d25b533d32f68bd570837739217933d8e9faf2e89762acf8ef80450fa1f4731d
DIST hypothesis-6.168.1.gh.tar.gz 9712065 BLAKE2B 7aa61ef58f527641192ad366330a9f4e2f8cc7a761ff1d64cf15f084e648a7d426d8e728881324e9be36c6775cd8bf987c09dab4b424bf9344bdb1b6c22d80a1 SHA512 b187073d81fb787e7a547fa625d7513eeadad99351fcfe118d7e602c78c4233068169f0e5f1ed4ef5477c7d85231f6ef3ca8fdec4b4b1bdf71ef3e52592087e0
+DIST hypothesis-6.168.2.gh.tar.gz 9712765 BLAKE2B d3fc44380250a737fd78e6dd4696486d2f7299cca721a93b01c4220d8fc5a6457e133439a46f9ed7f25cee1298ef34cf4370d4230ddb968452492d1bc7feef48 SHA512 6bdc2c52be103805509bdda870d5e1eb2686b12b7acf3ec02148ab300621271f803177aa4c434510022e586a283ad6a2129027ef59fb15b604f060a2422113ad
DIST libc-0.2.186.crate 821883 BLAKE2B ebe7aac5f8937a8064c64a0d4dc72e5fc794080e09b96c6d245bdec0fd9a19d49ab38e25306e22e47564764cf5dcde45855237cffc70230a143eca2626bd5c3c SHA512 6a58e671ec6811dff9a0d7d4db8f37d38bcbca9efff20dad4706190e5cdb77b426567754bcf0ef0f2d0c31d6506401f724f3ca500b9bed57bb8605b1141ed690
DIST once_cell-1.21.4.crate 35010 BLAKE2B 9117ed1d478e626b7b7be2e3ff8b68a382b051112c7ca4425367bdae86977671f8b5c576131c82fb437740b6d98b72501f718f4172d39781decac2385e8fbd4d SHA512 af67669b0107f44268ba74c355200cb2ed1aab235a6989a8bc54323eb2c9a45677010f8672e7790edadd4c981e939436e0c3a099d33c06dce9c14fd5ede86155
DIST portable-atomic-1.13.1.crate 197001 BLAKE2B 6d0898c2a537a9bf204b7749cca5f5fddf280772b56eb7ce8fdd9cf7d71561137b26ef89f415c40277a1c89981333eef78e5bb4624515a294ba28fdaeb4c70ea SHA512 2a1b31ac9814af884640b3398ab824a9795c72d260527a0966b193113808cfbb3345d50cd1beaebb45863437c3d06c8706d34b26efecceefc649319a4bc274a3
diff --git a/dev-python/hypothesis/hypothesis-6.168.2.ebuild b/dev-python/hypothesis/hypothesis-6.168.2.ebuild
new file mode 100644
index 000000000000..bf665e6799ed
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.168.2.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+CLI_COMPAT=( python3_{12..15} )
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+RUST_MIN_VER="1.91.0"
+CRATES="
+ cfg-if@1.0.4
+ crunchy@0.2.4
+ getrandom@0.3.4
+ half@2.7.1
+ heck@0.5.0
+ libc@0.2.186
+ once_cell@1.21.4
+ portable-atomic@1.13.1
+ ppv-lite86@0.2.21
+ proc-macro2@1.0.106
+ pyo3-build-config@0.29.2
+ pyo3-ffi@0.29.2
+ pyo3-macros-backend@0.29.2
+ pyo3-macros@0.29.2
+ pyo3@0.29.2
+ quote@1.0.46
+ r-efi@5.3.0
+ rand@0.9.4
+ rand_chacha@0.9.0
+ rand_core@0.9.5
+ syn@2.0.118
+ target-lexicon@0.13.5
+ unicode-ident@1.0.24
+ wasip2@1.0.4+wasi-0.2.12
+ wit-bindgen@0.57.1
+ zerocopy-derive@0.8.53
+ zerocopy@0.8.53
+"
+
+inherit cargo distutils-r1 optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+S="${WORKDIR}/${P}/hypothesis"
+
+LICENSE="MPL-2.0"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ )
+"
+PDEPEND="
+ dev-python/hypothesis-gentoo[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" pytest-xdist )
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+QA_PREBUILT="usr/lib/python.*/site-packages/hypothesis/_native.*"
+
+python_test() {
+ # NB: paths need to be relative to pytest.ini, i.e. start with hypothesis/
+ local EPYTEST_DESELECT=(
+ # broken somehow (xdist?)
+ 'hypothesis/tests/pytest/test_constant_collection_timing.py::test_constant_collection_timing[True]'
+ )
+ local EPYTEST_IGNORE=(
+ # require syrupy
+ tests/cover/test_custom_reprs.py
+ )
+
+ case ${EPYTHON} in
+ python3.15*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types[sentinel]'
+ 'hypothesis/tests/cover/test_lookup.py::test_resolves_builtin_types[sentinel]'
+ 'hypothesis/tests/cover/test_lambda_formatting.py::test_modifying_lambda_source_code_returns_unknown[False]'
+ )
+ ;;
+ esac
+
+ local -x HYPOTHESIS_NO_PLUGINS=1
+ epytest tests/{cover,pytest,quality}
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/peewee/Manifest b/dev-python/peewee/Manifest
index a461db3caa86..3d347d2777c3 100644
--- a/dev-python/peewee/Manifest
+++ b/dev-python/peewee/Manifest
@@ -1,3 +1,4 @@
DIST peewee-4.3.0.gh.tar.gz 1091937 BLAKE2B a4af95bc80dce47c2e2abc74afd01d2e25736067ffbbd6f60dd6f62974c9a9a62be4fbfb963646ba3e99c91953839c7612c796381768e35e28ec53bb2114ecf2 SHA512 1745b92e9edd0a34a15aeccdedfc1f7a30f95457f09b1c257b2e6b4ebd377fd515150270de2e0f2d564646302317368a78ad73fcce99398a752e14d1643d40da
DIST peewee-4.5.0.gh.tar.gz 1141293 BLAKE2B 22e5525a2e08573c55c657cdf62d9c3d4826bccb80d7f1e3bc98ad7d4835f6e3ee843d07972674e4247e9ae4dc670350f16a266e08897d16edfd804d756db32c SHA512 14ee1ace64d32e7868b2f00bee3ecda7cc3bc47162c496a464373233e4182cd64ddcf66f319303d71eab7498feeb2c8f7bbdd38f4371593d41b43b266548f803
DIST peewee-4.5.1.gh.tar.gz 1141479 BLAKE2B e101a69e51d461c359655c87a5d9286c2dd4ca8944b021cc7e22d0531c507ba5801785353590db9ed70eac8902f9aa49e150490b15ed1d3a7ee1007e7c51de0d SHA512 4fdbf923af4857d8ec90f906dfec40b9b684ebc509d350db8638e922e383036efe0e64241b00c5e6960e04b665df7d77c186e6f3070c321023a71e1db7dd71fd
+DIST peewee-4.5.2.gh.tar.gz 1139260 BLAKE2B 443adb5429b9a8ca99dddef2b198153a16e5c0fe781f037bc02929658c6832d1057d6283e823a60f740268dec3839ec6772e0839a603345b19615f40dc2fe780 SHA512 dda461c507b99e5f69938d42bfe903be605e0f36fd1d81e82458b072bba0c62f6c7011fd7aaba3fbcd3a7cef551a8965f7fb3b1ad4d7e5a64697e2bb49fbcddf
diff --git a/dev-python/peewee/peewee-4.5.2.ebuild b/dev-python/peewee/peewee-4.5.2.ebuild
new file mode 100644
index 000000000000..354b1a91f483
--- /dev/null
+++ b/dev-python/peewee/peewee-4.5.2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Small Python ORM"
+HOMEPAGE="
+ https://github.com/coleifer/peewee/
+ https://pypi.org/project/peewee/
+"
+SRC_URI="
+ https://github.com/coleifer/peewee/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="examples +native-extensions test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ native-extensions? ( dev-db/sqlite:3= )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ native-extensions? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-db/postgresql
+ dev-python/psycopg:0[${PYTHON_USEDEP}]
+ sys-libs/timezone-data
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
+
+src_prepare() {
+ default
+
+ # disable test failing on postgres 16
+ sed -e 's/test_timeout/_&/' -i tests/sqliteq.py || die
+}
+
+src_compile() {
+ if ! use native-extensions; then
+ local -x NO_SQLITE=1
+ fi
+
+ distutils-r1_src_compile
+}
+
+src_test() {
+ initdb -D "${T}"/pgsql || die
+ pg_ctl -w -D "${T}"/pgsql start -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" peewee_test || die
+ psql -h "${T}" peewee_test -c 'create extension hstore;' || die
+
+ local -x PEEWEE_PSQL_HOST="${T}"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ "${EPYTHON}" runtests.py -v 2 || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use examples && DOCS=( examples/ )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pytest-mock/Manifest b/dev-python/pytest-mock/Manifest
index 5a4c544d4f48..30be9eeb6a91 100644
--- a/dev-python/pytest-mock/Manifest
+++ b/dev-python/pytest-mock/Manifest
@@ -1,2 +1,4 @@
DIST pytest_mock-3.15.1.tar.gz 34036 BLAKE2B bfd7a4ec32612b4a4351c43ff36e7a4ab053623a97842a701457d90b6a8bc8dbb731ded770f1605b881ada9b0255795a970f4dfed41cb550d17ca71ccbd8dd75 SHA512 1807446f2f1547459820d7b0b196d089d2fc574d5e017c4a0d318f5b430c12c83ef0a5593498425cc08972c4b77ce43cc935ee44e1ffef2887f7efbd5fe0d7cc
DIST pytest_mock-3.15.1.tar.gz.provenance 10055 BLAKE2B 158410280dd839301fceb807ba80c199d248efd38b643e5bed0938e041fcbe99e3a6f04cda0f1aa4b2ad226331ede1a2477425e6c477e636e371d4e54e33eb64 SHA512 356eddc3637f622b53ff7791474d82ff116b0ce16414b8ee5b595cd3dd08b32c266e5e133ce79281775f1826613fb5ed01643aa87abcbd816c3a178120a49198
+DIST pytest_mock-3.16.0.tar.gz 35362 BLAKE2B 48a259f7cc4349b69813bfb3933d6c6db38765ce872b7263201560b7375c2d28044ae93b184bb248ff4f1ccd62dcb8d5dce3e88555213874c1711ad219e09771 SHA512 fbaa1ee9d4d4d12a28aa62e09f22ddd6eada041faddcadd58291dbb9c2e5d24143fe2c74516f0444ed61786ee6b3a6e3f0969188e792ffbab8fa05b7d28bd86f
+DIST pytest_mock-3.16.0.tar.gz.provenance 10095 BLAKE2B b031154665a1d6b1f9d8f5d738ae6766ec0655520d21ae9ca0d508080b37f32c1d0263c730152eb83c2dec16422cfb4480cd69c12538c70a52acea124e0442cb SHA512 3d4a406449f0773f22e029b8587b77b7bb683569091a24bccdf70c43da0b99b53583a9d520eea93e7046f9fa14d9403e2b1b00a61de10c28ce77b9962b2cff06
diff --git a/dev-python/pytest-mock/pytest-mock-3.16.0.ebuild b/dev-python/pytest-mock/pytest-mock-3.16.0.ebuild
new file mode 100644
index 000000000000..c595b138683c
--- /dev/null
+++ b/dev-python/pytest-mock/pytest-mock-3.16.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/pytest-dev/pytest-mock
+PYTHON_TESTED=( python3_{13..14} )
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Thin-wrapper around the mock package for easier use with pytest"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-mock/
+ https://pypi.org/project/pytest-mock/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/pytest-6.2.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+python_test() {
+ if ! has "${EPYTHON/./_}" "${PYTHON_TESTED[@]}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_PLUGINS=( "${PN}" pytest-asyncio )
+ local EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+ local EPYTEST_DESELECT=()
+
+ if has_version dev-python/mock; then
+ EPYTEST_DESELECT+=(
+ tests/test_pytest_mock.py::test_standalone_mock
+ )
+ fi
+
+ epytest --assert=plain
+}
diff --git a/dev-python/python-slugify/Manifest b/dev-python/python-slugify/Manifest
index efd7a4ec289a..33c497c7f248 100644
--- a/dev-python/python-slugify/Manifest
+++ b/dev-python/python-slugify/Manifest
@@ -2,3 +2,4 @@ DIST python-slugify-8.0.4.gh.tar.gz 14098 BLAKE2B 684061ef5f1ee96d727caeb1239577
DIST python_slugify-9.0.0.tar.gz 60189 BLAKE2B c1459a0600301eab6005a49e58ee9fa18199539d80df99b37c4823a6952fcce2b8f8d99590f3e6b5ca08660fd766a290530e09f1ce093f38494370ab9ed4bc1a SHA512 2f2ddc0dee7c790a96dc38f84c3dcc006a7e22c3dd67b9a878461dbed03f6cc0b0c56b327dd0ec0b497ee730d27d2a8c96120b72f7233f199ba912868590cd94
DIST python_slugify-9.1.0.tar.gz 63567 BLAKE2B 911f4363b313d21bcd98174ab5fc791f2f160ed4a425b007b3a8e99f23813dcb651dda85ff5cb23149954d3b7caac8f10a657f9b5bbcfcc7831994fa174773d6 SHA512 c710d87f427495c6dc4b96cb4e56dba1b34a6ee855d83858c9a9d5340ba97511e267a6a6f7951721b0037120d953e29ef6ac11b2b64465ad27b4e7e274a95e41
DIST python_slugify-9.1.1.tar.gz 64108 BLAKE2B b28253242a3d7afa235a3e1b01e30c4bd52f3b619504b0c921baf74802fbfcbf1af1de624e3995b513347976437253a2021c3b859ce1caf0fabf0b1b75d0a80d SHA512 043440766012745017a7dd4b3ea209efa4a6828d959e7d21027bd00cc3c905e634953c73955ab47ada122f4943176cfdcfc7f22bb3f5332119252e07b5929ae4
+DIST python_slugify-9.1.2.tar.gz 64822 BLAKE2B 34ac0680d4a314086f26cf008ae423fd961ba7c663c6d8f4f3bfe8b2570eecd81ef8961be873d1c6bc5e915e4525464788e15e4045610f934460e879cf94332e SHA512 0cef75d5c9bb97a1d084881499defa93539969aad16654144286ffe560f5cbfc88bc60cecc683a020ff302cf73a9a2f433986cccc590e761e76bd928a55735cb
diff --git a/dev-python/python-slugify/python-slugify-9.1.2.ebuild b/dev-python/python-slugify/python-slugify-9.1.2.ebuild
new file mode 100644
index 000000000000..fdd8cf8b1650
--- /dev/null
+++ b/dev-python/python-slugify/python-slugify-9.1.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python Slugify application that handles Unicode"
+HOMEPAGE="
+ https://github.com/un33k/python-slugify/
+ https://pypi.org/project/python-slugify/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/text-unidecode-1.3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/anyascii[${PYTHON_USEDEP}]
+ dev-python/unidecode[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index ac2e264b01a9..7e5b67673dec 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1,2 +1,2 @@
-DIST sqlglot-30.18.0.tar.gz 6018496 BLAKE2B 0df58a325c3c5b19ba79d667d6e2be5cfbab5d61714056784a12f5f689fae3cd5ef887ee366f6f38c4a0ee42c26f0c1a771da8d6e7142c71ce2d83273e4ea90d SHA512 817c667e7dc7f178d3b9b838d3db10e28a25d0c903b6fd80eef80f74eeaec2ef49db5ceb6a425d2359aaf864d201603bc4e8e82ab436d881d4685d4ff6601356
DIST sqlglot-30.19.0.tar.gz 6042945 BLAKE2B 588d583bcf1deee2a778bb2d0bc2f46b73ba3367a1f69615275412ab7cf720b1b20ab019ea1840c889c6f071b2afa2d28aeed32d7bf866ef167e086c02cfb919 SHA512 70b599c739093cf9c79926ff5d4ca3c3a2211f554d54ce25097115de40ef8e40cd2a8ba377d42ff0301f3ac50025539df35c796dde1cef8efa50c6c1947c0b3b
+DIST sqlglot-30.20.0.tar.gz 6051245 BLAKE2B e0345dcae023a8e750095fda5d39d6f480d0c3ebfc2812f7eb68760759324575fdba51d5c7895cf31b985f248219850205892018ed8bc2c236e164c312f10a22 SHA512 8ad562c3c2895416ac604892386d1fa453a04de05553003d1cf94eba99b6dc5d739e5f0d7724bc6a0d72120a7ed1e0382bc6597e4ada5077048ecfae02d6d8dd
diff --git a/dev-python/sqlglot/sqlglot-30.18.0.ebuild b/dev-python/sqlglot/sqlglot-30.20.0.ebuild
index 063fa5096326..063fa5096326 100644
--- a/dev-python/sqlglot/sqlglot-30.18.0.ebuild
+++ b/dev-python/sqlglot/sqlglot-30.20.0.ebuild
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index e6785347821c..6f1b7ae9cd72 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1,24 +1,12 @@
-DIST tox-4.58.0.tar.gz 296926 BLAKE2B 755820109ce9f90b5039d79bf368df09fb8e1f7b972951c0fdd47f0c661c0207e9d181a701e48cfe1308b9c2621d84a67ce28c9b2359644c71ba1fb17328e146 SHA512 11d45089ff69fea827979909e3946a366699f58e6d25ba1b54224c5cd283372d515f4bbdb002585ee1d6bcfc4a1561785e83c555718ba983c5b608773618a0df
-DIST tox-4.58.0.tar.gz.provenance 9487 BLAKE2B 9e7e230add9749ec7b942c0a9df58932a626970980d6cd51f845b38e56129a24b3e6b8910e940ccbece5a5721809b98f02709c3d27d19911ef5045d757e49acb SHA512 59ad986a6b929450a45a1d5d59ffed766aa7d14800324a23edf65d5b1da1bf53a6ca53407d2b9ba9274af3a28a5338866d97ccd868d837c9a360440558f0fcb5
-DIST tox-4.60.1.tar.gz 303833 BLAKE2B 2033e33d1fbff8ae3ad77417d240b737c00e85fb8a6f0cc658b14c6af747173f5cd3b6ef4e9c19f6b82bed0570ad14312f75bc0ee97b3f8f3e045364f8ff913f SHA512 0b6c11e6863606de2650b891bac01c0fcad558c86ba3b561e78d870b389bd649cde6a1ab0f2159adf3ddef808a8659dc2d557d83320d0df6bbd186b50f4be4b1
-DIST tox-4.60.1.tar.gz.provenance 9485 BLAKE2B 862ac660042f34f3aefae4d95b7a85d0ef1fe4a6bbba4ed06f0dbd374cc76c4075ae141d99db7a5081057ad432472c74af012422458994e32fef8ee33ebde3fe SHA512 f873c588dc83adee5fdc2b1f655cf96c2401955f882a866f616c83fa845b926288484f62ad9f9212e0fe10ca9736b75f9bb588cf5099c94e03542ef69f403042
DIST tox-4.61.1.tar.gz 306574 BLAKE2B ab2f4b6d155a02dc7f235811fa358895d982807b40019737692c60998be70e9c55a0b8d859791c53f7ad02f75a2d2c3c4f92f377a61715c49b9c46e1df3483ca SHA512 5c9353f617122062f7e3cdb3998b09f6dbe777b1924e8abf593459461488ec46baf7850896855bb0545141d67755061a4092c9113680feaa98d4294a36cf0ede
DIST tox-4.61.1.tar.gz.provenance 9313 BLAKE2B 7cc5c6b23f3b482df6da69287af28b6d0be743fb5368f2c9d8575330d2117c2e14b0c2015d70642bc34648f0b989fcfd905acf2caf8193cd1b6bb437166ff954 SHA512 18b6fa4555123ab881b4e12d4fe6ce85e2c69009836be8655dfc8bc0519154f1ad0cdfe7b9ccd4251375a3c251c3aea500bab0efb7607a3ee0413eade2a6016b
DIST tox-4.61.2.tar.gz 306825 BLAKE2B 71159dd79aef91c04aed340bc56cbb7cb1bc9b0e11655b7d8663ba3fc483a559f730bbb2082b8eceaa7ed845ddaa18dbf78f4c72498a55f47c6d57e5f58fb352 SHA512 8ba3dfd3f1595077b756204b159721f7b28279425b1cbc7f04e46282c9f08b81496827fcf4738fa056ea6da2a82ce85d69e826b89fa7163b7fc57f2fc60e378e
DIST tox-4.61.2.tar.gz.provenance 9818 BLAKE2B b6f6d6d2ac83a7c5598df9ba0942a87a7830ea1b2ba5936fd2653db6febde47187a4f9e705504d4a42d7c898b2b850bc005709d9ffc24f787f4ce0dd62977a78 SHA512 c452837d29391310bdba4fc82ea7d0d6464efa394ed5a6629bb997db9578c9f97bf9322174aafb66212f88c69349f85cf73c587029aa501f7d475a4ecc90227b
-DIST tox-4.61.3.tar.gz 307979 BLAKE2B 895d2b3bf0131a71a51afefa3daee9713121acfeff739af079c00e66400203eb65277a8855e064b7d39fb9de7169ec543310ca2f00da601c772efcb6245dd400 SHA512 83e1f61f28cc865935b3329f5a9d11405ce2622facf5648206e5043cd77aef4fe602c36f12f0f26e21eddb4eda3325f84fd0dbf9cc0cb4c123007e1f729e1c46
-DIST tox-4.61.3.tar.gz.provenance 9438 BLAKE2B 5b7114d82ba2b6435eb2197d18f484a8bb5e9f75ce1c4fa8e68da2d154cac45da4a3a421c95d3a04bfb85cb798fe8842bdeb31fb994f00457b10b8b1c78bfd0e SHA512 379a14692ffc7649d74271c21dae7eee460dd040b7f33d047248c1648449680c4a317acb400f2360ca44764605e5ce6d29359dfa25889e666b5c0e2078a68080
DIST tox-4.61.4.tar.gz 308140 BLAKE2B ae284f0ac7fcca7d4bcb0ff7442c97b19e8b783d1218336b02e65ba6916cbcdf9a9aa1560b92d0c250d421fa7547e5d15aacc6ebb39989f79ee507e0ea1838b0 SHA512 6fbaa3f0380dc55d90d23a4dc204ef691085970902dedb99a1d9dbcd3713f784896a8cbe33fc367daeb044c367d4fc968da31829f0033e9091a2ef3c1dea5a71
DIST tox-4.61.4.tar.gz.provenance 9548 BLAKE2B 3fe6f9b3f0fb5461b30dbcba77407ebdb420858c31f12a69e78dc3f8b5490f35ae0df658a2e6222686829064a247975bd7747d29531e7dc0309a7ab636c341a6 SHA512 f3c144d2ffcbb8407f2a516a5d8b068e44e862bf163f62ba00bca73e6e543aa765afd0f18f5dbc97591bc4e640b14c68377b29729c0b69c54aadee9b24bad439
-DIST tox-4.61.5.tar.gz 308508 BLAKE2B 20b5f8697963754ac868c547224cb01d50e4a6e4bb910473772d92c33cc6aadd7792d996aa3b78a882225c70cac2ca734a0248699650e87cfe599f53057a8d35 SHA512 691dcdae5f52a0a7aaead99f91d2a0e813de3820f1a2c489f08e0af86ae42d596c6be9279c63a14a1468a297dc1be0968d497c35dcbd79ac141d0ac0a7959135
-DIST tox-4.61.5.tar.gz.provenance 9673 BLAKE2B 0d029219e08eb4f28eaca0d0ffcc48492d0dbd8cf0b7a9ed87485fcc5271918928f47d3ad7f421984d874f36c3422693b7f292d6b2049066b8b810012eacd04e SHA512 6a79178a46bd71eb5a8b3a383384ccb5fd71ef3f845b5adf32722d7501be5f98f2076e8803597f8fdd88f4ff8848648bb62247b0ce757c0e16e496b2f0289a7c
-DIST tox-4.62.0.tar.gz 309684 BLAKE2B b296169ce5691c141cf6362c0d032734acb54d348fa7f505f2910b1ab0c10f91af1d915282f610ed3b4f81ac0691ee381f41e7fa2f030de03ebaa93e95401a20 SHA512 f68a48eb65051f0352f431db49c405e42bccf3568c18584980d37d0b59a55ef7a7c2f1b6501d87b85845f9b224960eb5a2698356b3f75d8e914fdd1424319d8a
-DIST tox-4.62.0.tar.gz.provenance 9497 BLAKE2B 602dd61ae1ce851fe78bd62905aa155ab992260dced5ff8981882c897713848a5bca66ea005c01b1e719315466d2bb7ba30d07948b656b3d75a32fa8e6dd1e31 SHA512 bf0c3f43f5a3c069cf3a666188afce2faab3726a619c9c55bb0647f36a2471730fb6abc9a39912297e773bfabd08a87bb445c6a458f8da582faf3aad2005c78e
DIST tox-4.63.0.tar.gz 310965 BLAKE2B 6ddf45f8bcb2f673136004e5da559f07a64ad5120ae2437f2cd498beb39fcdafe543b4242b90088b56de167516efcc9856914a003c9a79d104742c1d2f3f696a SHA512 4f266d3eff95592aa6648e6e868c6d61c149e4975d092ef2470085819f343ada1027c1484723e8720b030fee495ded957c0c60454a100da7efd46d7a0f54368a
DIST tox-4.63.0.tar.gz.provenance 9532 BLAKE2B b9e09d929dcc516aa81b61cda0ee7940d854b9da8f124a99a21927dc7896a554dd339d185367bac136a4bb86420dc915fa91f90297a3395d0cce39967c17d9fa SHA512 3e321cb8d1eb4213c7445800b6c5d7f87599f72d26c80fbb67bf69ab1acc6dd4f1bafdedd8fa4a6323b49a68872a13b02d5b8598e8690f465d92585cc79316cc
-DIST tox-4.64.1.tar.gz 314417 BLAKE2B e781f568e92679b3e3418efe7bbfa67fc1b8f36a0fbf80acdbd1e8ed5783c97f01e7767ccae58a9f3c64277a941cd152a2049bad5fcbe38502f7ff0e0cd9e7ca SHA512 d840b262978046406a578c9f799bd2734a7d216ec70502154ea667ccf1ef5ad70195c62489037f1e514f459ca90bd4c524dc45f5ca1fa9bb3c49f73e0dd2a281
-DIST tox-4.64.1.tar.gz.provenance 9536 BLAKE2B aec4451138b8b7776fdeeeef5f6dec928d9e32816d5c98817ea9956a7576a663fa59bdc9dc53fcc7d8a1e46a64801377822f44a45bf678aa2a2564c66cf89be4 SHA512 9854963c80fecc01ad6e62a93854e8cecf23a180620cca889faf67c8977177425b5090ef90c407b73703d488a6e0d1124dd56e40e7cceb5cc2139991295d62eb
-DIST tox-4.64.2.tar.gz 315797 BLAKE2B c87794ccfc1576b523391334e87fab7971f822b49cfff2c561a5520777e3d66681bf8082aed13a62b46856421dcee8c4aa2bac9cdf96c9ba4f66ea2005481148 SHA512 c2b13f35a85796d43a14adb4690a3d8e8f352d319349ee19bce6dd6c56eedbcb2fb629c81aec5f2b46fca66293703e3fa89c61b1a16a28a6fe243ee7fd5542f9
-DIST tox-4.64.2.tar.gz.provenance 9532 BLAKE2B ba270535d40da24e136aeceff18aaf8b396a62cb33d1f6588eaec9b827c6a728fb41503b1808e5348cf304c599d8e98568e586a455b4d9f6858cb1af8966dd37 SHA512 774adc6a4f329ac446bcf05ea1ab2cea988c61a90e30a4cde2bb0dd2636f355e3dae3c88d7e4279a0e18144b63e6b95a62ad925ede5cd28ac45b0b8a80e68ac2
DIST tox-4.64.3.tar.gz 316391 BLAKE2B bc50918e6e65a56671930f62c4ad0907b27930685b7c262e484f0f5c3335405baa296de8ae6f7f7f5c29d9b9d055497cb73752e83d603c83f89a9b7bb08a85c0 SHA512 ef22fbd1a4a3bfb190af0d5f7ef683f0ffc35b889852e6b84eae9d062fe4722061db73a9f1973a6c5e72cc92b8f16dfa10cb4778f78d9050701f6404e15da113
DIST tox-4.64.3.tar.gz.provenance 9485 BLAKE2B ebba61eec097a57a7260524ce45f4ac2cd26ae77c589fd76037c0b906010d35f2956ddb9b6daaaeb374d34b55ab9aeb12d7cccd8dd465730445f1666bff126cb SHA512 2f9eb62809e074ca389442bfb2b96eeb0fa2cb0647b6c2076fa572db2a80abbfd8b9a5255553171dde12fc73a5036e274329308d5572ad511de90dc15507d75d
+DIST tox-4.64.4.tar.gz 317372 BLAKE2B 45c95ee3a8189b7a629e9b4d1155728a7b1c12077cc568f8f4aa211de85afb451b6b802f90c7f805599697980cd0b440bbcc5285a86ffdf75c5bf7b9ce2099ab SHA512 71635ef4c569b090a68507272652c38734b277d80e9ab306eff2472c1d997d71d6251433dde15e87dee73501cb512a4019fbf6d51377966281e4a4796bfc8fe6
+DIST tox-4.64.4.tar.gz.provenance 9673 BLAKE2B f5bdb0ee2ac5a4ad9bee6494c78e5fe3d91a0ba2486d2520a266b56ab29eae8cabe2c9b222aeecb359a3deac080188d37f34fc0f9180be5a89556dfa4c59bd75 SHA512 b50d6ced7c19203ac4eefe103afa3b39b5d81ee1da0eff23c515519c0266f96608d358debc398ddf129352e99cfa785851715f7f5b5bc73944eb1b16882c8d0d
diff --git a/dev-python/tox/tox-4.58.0.ebuild b/dev-python/tox/tox-4.58.0.ebuild
deleted file mode 100644
index acd2c44ce0ab..000000000000
--- a/dev-python/tox/tox-4.58.0.ebuild
+++ /dev/null
@@ -1,80 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
-PYTHON_COMPAT=( python3_{13..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="virtualenv-based automation of test activities"
-HOMEPAGE="
- https://tox.readthedocs.io/
- https://github.com/tox-dev/tox/
- https://pypi.org/project/tox/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~m68k ppc ppc64 ~riscv ~s390 x86"
-
-RDEPEND="
- dev-python/cachetools[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/pluggy[${PYTHON_USEDEP}]
- dev-python/pyproject-api[${PYTHON_USEDEP}]
- dev-python/python-discovery[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
-"
-BDEPEND="
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/argcomplete[${PYTHON_USEDEP}]
- dev-python/build[${PYTHON_USEDEP}]
- dev-python/distlib[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/re-assert[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
-# upstream timeouts are quite short
-: ${EPYTEST_TIMEOUT:=180}
-# xdist seems to mess up state between successive implementation runs
-distutils_enable_tests pytest
-
-src_prepare() {
- # upstream lower bounds are meaningless
- sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # devpi_process is not packaged, and has lots of dependencies
- cat > "${T}"/devpi_process.py <<-EOF || die
- def IndexServer(*args, **kwargs): raise NotImplementedError()
- EOF
-
- local -x PYTHONPATH=${T}:${PYTHONPATH}
- local EPYTEST_DESELECT=(
- # Internet
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
- tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
- # require tombi
- tests/session/cmd/test_schema.py::test_schema_tombi_lint
- )
- local EPYTEST_IGNORE=(
- # requires devpi*
- tests/test_provision.py
- )
-
- epytest -o addopts=
-}
diff --git a/dev-python/tox/tox-4.60.1.ebuild b/dev-python/tox/tox-4.60.1.ebuild
deleted file mode 100644
index 8eb35c40185e..000000000000
--- a/dev-python/tox/tox-4.60.1.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
-PYTHON_COMPAT=( python3_{13..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="virtualenv-based automation of test activities"
-HOMEPAGE="
- https://tox.readthedocs.io/
- https://github.com/tox-dev/tox/
- https://pypi.org/project/tox/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
-
-RDEPEND="
- dev-python/cachetools[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/pluggy[${PYTHON_USEDEP}]
- dev-python/pyproject-api[${PYTHON_USEDEP}]
- dev-python/python-discovery[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/typing-extensions-4.15[${PYTHON_USEDEP}]
- ' 3.12)
-"
-BDEPEND="
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/argcomplete[${PYTHON_USEDEP}]
- dev-python/build[${PYTHON_USEDEP}]
- dev-python/distlib[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/re-assert[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
-EPYTEST_RERUNS=3
-# upstream timeouts are quite short
-: ${EPYTEST_TIMEOUT:=180}
-# xdist seems to mess up state between successive implementation runs
-distutils_enable_tests pytest
-
-src_prepare() {
- # upstream lower bounds are meaningless
- sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # devpi_process is not packaged, and has lots of dependencies
- cat > "${T}"/devpi_process.py <<-EOF || die
- def IndexServer(*args, **kwargs): raise NotImplementedError()
- EOF
-
- local -x PYTHONPATH=${T}:${PYTHONPATH}
- local EPYTEST_DESELECT=(
- # Internet
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
- tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
- # require tombi
- tests/session/cmd/test_schema.py::test_schema_tombi_lint
- )
- local EPYTEST_IGNORE=(
- # requires devpi*
- tests/test_provision.py
- )
-
- epytest -o addopts=
-}
diff --git a/dev-python/tox/tox-4.61.3.ebuild b/dev-python/tox/tox-4.61.3.ebuild
deleted file mode 100644
index 8eb35c40185e..000000000000
--- a/dev-python/tox/tox-4.61.3.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
-PYTHON_COMPAT=( python3_{13..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="virtualenv-based automation of test activities"
-HOMEPAGE="
- https://tox.readthedocs.io/
- https://github.com/tox-dev/tox/
- https://pypi.org/project/tox/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
-
-RDEPEND="
- dev-python/cachetools[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/pluggy[${PYTHON_USEDEP}]
- dev-python/pyproject-api[${PYTHON_USEDEP}]
- dev-python/python-discovery[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/typing-extensions-4.15[${PYTHON_USEDEP}]
- ' 3.12)
-"
-BDEPEND="
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/argcomplete[${PYTHON_USEDEP}]
- dev-python/build[${PYTHON_USEDEP}]
- dev-python/distlib[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/re-assert[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
-EPYTEST_RERUNS=3
-# upstream timeouts are quite short
-: ${EPYTEST_TIMEOUT:=180}
-# xdist seems to mess up state between successive implementation runs
-distutils_enable_tests pytest
-
-src_prepare() {
- # upstream lower bounds are meaningless
- sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # devpi_process is not packaged, and has lots of dependencies
- cat > "${T}"/devpi_process.py <<-EOF || die
- def IndexServer(*args, **kwargs): raise NotImplementedError()
- EOF
-
- local -x PYTHONPATH=${T}:${PYTHONPATH}
- local EPYTEST_DESELECT=(
- # Internet
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
- tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
- # require tombi
- tests/session/cmd/test_schema.py::test_schema_tombi_lint
- )
- local EPYTEST_IGNORE=(
- # requires devpi*
- tests/test_provision.py
- )
-
- epytest -o addopts=
-}
diff --git a/dev-python/tox/tox-4.62.0.ebuild b/dev-python/tox/tox-4.62.0.ebuild
deleted file mode 100644
index 9d80c8ee22b8..000000000000
--- a/dev-python/tox/tox-4.62.0.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
-PYTHON_COMPAT=( python3_{13..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="virtualenv-based automation of test activities"
-HOMEPAGE="
- https://tox.readthedocs.io/
- https://github.com/tox-dev/tox/
- https://pypi.org/project/tox/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
-
-RDEPEND="
- dev-python/cachetools[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/pluggy[${PYTHON_USEDEP}]
- dev-python/pyproject-api[${PYTHON_USEDEP}]
- dev-python/python-discovery[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/typing-extensions-4.15[${PYTHON_USEDEP}]
- ' 3.12)
-"
-BDEPEND="
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/argcomplete[${PYTHON_USEDEP}]
- dev-python/build[${PYTHON_USEDEP}]
- dev-python/distlib[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/re-assert[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
-EPYTEST_RERUNS=3
-# upstream timeouts are quite short
-: ${EPYTEST_TIMEOUT:=180}
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-src_prepare() {
- # upstream lower bounds are meaningless
- sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # devpi_process is not packaged, and has lots of dependencies
- cat > "${T}"/devpi_process.py <<-EOF || die
- def IndexServer(*args, **kwargs): raise NotImplementedError()
- EOF
-
- local -x PYTHONPATH=${T}:${PYTHONPATH}
- local EPYTEST_DESELECT=(
- # Internet
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
- tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
- # require tombi
- tests/session/cmd/test_schema.py::test_schema_tombi_lint
- )
- local EPYTEST_IGNORE=(
- # requires devpi*
- tests/test_provision.py
- )
-
- epytest -o addopts=
-}
diff --git a/dev-python/tox/tox-4.64.1.ebuild b/dev-python/tox/tox-4.64.1.ebuild
deleted file mode 100644
index 9d80c8ee22b8..000000000000
--- a/dev-python/tox/tox-4.64.1.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
-PYTHON_COMPAT=( python3_{13..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="virtualenv-based automation of test activities"
-HOMEPAGE="
- https://tox.readthedocs.io/
- https://github.com/tox-dev/tox/
- https://pypi.org/project/tox/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
-
-RDEPEND="
- dev-python/cachetools[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/pluggy[${PYTHON_USEDEP}]
- dev-python/pyproject-api[${PYTHON_USEDEP}]
- dev-python/python-discovery[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/typing-extensions-4.15[${PYTHON_USEDEP}]
- ' 3.12)
-"
-BDEPEND="
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/argcomplete[${PYTHON_USEDEP}]
- dev-python/build[${PYTHON_USEDEP}]
- dev-python/distlib[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/re-assert[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
-EPYTEST_RERUNS=3
-# upstream timeouts are quite short
-: ${EPYTEST_TIMEOUT:=180}
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-src_prepare() {
- # upstream lower bounds are meaningless
- sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # devpi_process is not packaged, and has lots of dependencies
- cat > "${T}"/devpi_process.py <<-EOF || die
- def IndexServer(*args, **kwargs): raise NotImplementedError()
- EOF
-
- local -x PYTHONPATH=${T}:${PYTHONPATH}
- local EPYTEST_DESELECT=(
- # Internet
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
- tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
- # require tombi
- tests/session/cmd/test_schema.py::test_schema_tombi_lint
- )
- local EPYTEST_IGNORE=(
- # requires devpi*
- tests/test_provision.py
- )
-
- epytest -o addopts=
-}
diff --git a/dev-python/tox/tox-4.64.2.ebuild b/dev-python/tox/tox-4.64.2.ebuild
deleted file mode 100644
index 9d80c8ee22b8..000000000000
--- a/dev-python/tox/tox-4.64.2.ebuild
+++ /dev/null
@@ -1,84 +0,0 @@
-# Copyright 1999-2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=hatchling
-PYPI_VERIFY_REPO=https://github.com/tox-dev/tox
-PYTHON_COMPAT=( python3_{13..14} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="virtualenv-based automation of test activities"
-HOMEPAGE="
- https://tox.readthedocs.io/
- https://github.com/tox-dev/tox/
- https://pypi.org/project/tox/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~ppc ~ppc64 ~riscv ~s390 ~x86"
-
-RDEPEND="
- dev-python/cachetools[${PYTHON_USEDEP}]
- dev-python/colorama[${PYTHON_USEDEP}]
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/platformdirs[${PYTHON_USEDEP}]
- dev-python/pluggy[${PYTHON_USEDEP}]
- dev-python/pyproject-api[${PYTHON_USEDEP}]
- dev-python/python-discovery[${PYTHON_USEDEP}]
- dev-python/tomli-w[${PYTHON_USEDEP}]
- dev-python/virtualenv[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- >=dev-python/typing-extensions-4.15[${PYTHON_USEDEP}]
- ' 3.12)
-"
-BDEPEND="
- dev-python/docutils[${PYTHON_USEDEP}]
- dev-python/hatch-vcs[${PYTHON_USEDEP}]
- test? (
- dev-python/argcomplete[${PYTHON_USEDEP}]
- dev-python/build[${PYTHON_USEDEP}]
- dev-python/distlib[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/re-assert[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_PLUGINS=( pytest-{mock,rerunfailures,timeout,xdist} time-machine )
-EPYTEST_RERUNS=3
-# upstream timeouts are quite short
-: ${EPYTEST_TIMEOUT:=180}
-EPYTEST_XDIST=1
-distutils_enable_tests pytest
-
-src_prepare() {
- # upstream lower bounds are meaningless
- sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- # devpi_process is not packaged, and has lots of dependencies
- cat > "${T}"/devpi_process.py <<-EOF || die
- def IndexServer(*args, **kwargs): raise NotImplementedError()
- EOF
-
- local -x PYTHONPATH=${T}:${PYTHONPATH}
- local EPYTEST_DESELECT=(
- # Internet
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
- tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
- tests/tox_env/python/virtual_env/package/test_package_pyproject.py::test_pyproject_installpkg_pep517_envs
- # require tombi
- tests/session/cmd/test_schema.py::test_schema_tombi_lint
- )
- local EPYTEST_IGNORE=(
- # requires devpi*
- tests/test_provision.py
- )
-
- epytest -o addopts=
-}
diff --git a/dev-python/tox/tox-4.61.5.ebuild b/dev-python/tox/tox-4.64.4.ebuild
index 9d80c8ee22b8..9d80c8ee22b8 100644
--- a/dev-python/tox/tox-4.61.5.ebuild
+++ b/dev-python/tox/tox-4.64.4.ebuild
diff --git a/dev-python/werkzeug/Manifest b/dev-python/werkzeug/Manifest
index 7a082c48c17e..2d07b8d07a40 100644
--- a/dev-python/werkzeug/Manifest
+++ b/dev-python/werkzeug/Manifest
@@ -1,2 +1,4 @@
DIST werkzeug-3.1.8.tar.gz 875852 BLAKE2B 67b38af5e0771d119ee2a29bf8bdaade287a5d33b7d7bb4afde5d91d25c2da394f8ce3dd33554dcd1b449a68e1abfa322435d9ddb77b787f029194c13cfebb31 SHA512 78c1a4fe38b5e071defe7003af58bf50c38a5cc8132641c69e9ecaaa6ddba00856919082c239a1f1c8eeb2fe44e2a5d20a769baffc8ce3c110450461517eda87
DIST werkzeug-3.1.8.tar.gz.provenance 9394 BLAKE2B 29f3bdec986cac338f1492d48b66a34a02d4c8dda867f25bacf25f7c14cedae397e444250fab2fbcc0e2e3806feace08afdf6171f47254f12416ef6f62664df3 SHA512 a5da9ad2248883ed075f986c7f0b93f945d7e27adc18a8e0386a82e33c25dec3aad238e61684100fcb2dee2b5939c1a9d8c84e204a97cccb6f801d9abd8b8581
+DIST werkzeug-3.1.9.tar.gz 940188 BLAKE2B 3098e5c6116cbd1c61db60fac657594f5090a531fbfec2899891332b9b41083e4f2a9f70e85a55497665aa552f3d52c193ccd1efaffcc3ddfb3fc3a871f8a8b4 SHA512 668991c145512cba51a37af78ed3e34dfa6edbeda3e1c9c1d9451a561679827f30b1bc996563da436607590926220f0b778f16cd33228bd6d5f9fb34d43d4b61
+DIST werkzeug-3.1.9.tar.gz.provenance 9573 BLAKE2B 80318c010fc34afa675db36c6c062ec61a0dd59b8c11225c1dc503aab37f88549ba4fb36ff84a6e0b6e5c103d2015bb51f9556ebaf6981a101b849a42e4c8218 SHA512 4803f47d6412a6e165099e948f021380ce995ba1d70f35d32b1b05c1b74287c7cc00e419d065d804b9b10c58d7944e01b5b3add408d31254df1fe21ba2f3b586
diff --git a/dev-python/werkzeug/werkzeug-3.1.9.ebuild b/dev-python/werkzeug/werkzeug-3.1.9.ebuild
new file mode 100644
index 000000000000..67aa84a93118
--- /dev/null
+++ b/dev-python/werkzeug/werkzeug-3.1.9.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit-core
+PYPI_VERIFY_REPO=https://github.com/pallets/werkzeug
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of various utilities for WSGI applications"
+HOMEPAGE="
+ https://palletsprojects.com/p/werkzeug/
+ https://pypi.org/project/Werkzeug/
+ https://github.com/pallets/werkzeug/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/markupsafe-2.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ephemeral-port-reserve[${PYTHON_USEDEP}]
+ >=dev-python/watchdog-2.3[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{timeout,xprocess} )
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if ! has_version "dev-python/cryptography[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ "tests/test_serving.py::test_server[https]"
+ tests/test_serving.py::test_ssl_dev_cert
+ tests/test_serving.py::test_ssl_object
+ )
+ fi
+
+ # the default portage tempdir is too long for AF_UNIX sockets
+ local -x TMPDIR=/tmp
+ epytest
+}
diff --git a/dev-python/wrapt/Manifest b/dev-python/wrapt/Manifest
index d604b131f528..e86a913b282f 100644
--- a/dev-python/wrapt/Manifest
+++ b/dev-python/wrapt/Manifest
@@ -4,3 +4,5 @@ DIST wrapt-2.4.0.tar.gz 161179 BLAKE2B 436b7709ba58271889ef7efd76ef52c4b5e0a12e4
DIST wrapt-2.4.0.tar.gz.provenance 10106 BLAKE2B 70d792b847ca5413793015d6596710f729bc52c6b0837504d0416e9272d7d19f2ea9b45fb68b92ec6b3a3eafefa6c0062c80347d508f3f2a3e3a507d7fd75e0d SHA512 4ed5691a21d12fa1262a65f0d9f7759da01990944cdd986e88c7ae583165097ac72bd6944d3847bbc2c9a6d4fe8fec282c309e31989e97d4e68b1cfe5da20170
DIST wrapt-2.4.1.tar.gz 164597 BLAKE2B f57172218de2427dc80de48ee70a80f2494314508c6db94bd61af4042b9e3a26d387b18a8b3b875f4d92fd69d85d61f55b00b01755bd508b0b19ebecdccb81e3 SHA512 c996422b1dd73687609cfae475cf32d4ba2960686fb6a7ad28edd5314d62d944c13f4ec83e1cd6daa2542aac0d2b9e3fadaa1718da753dce4a8486a92688f880
DIST wrapt-2.4.1.tar.gz.provenance 10200 BLAKE2B 87a295822dc8b22c80f67adba6c2e0edb916062fe9a8a32b2ddca918d3fb6ac7b88a00a91c47a070a8a9939489129d3a52368d2186e42331e64a61f90acd433b SHA512 81db83085d80fa25dc8bb848dc196b3f1644734c24e4c050f6a2b5ced006b3db8890ef7d7887d05574546e2e3f6744d5c72e4ec4780469a574bf33a7c60d940b
+DIST wrapt-2.5.0.tar.gz 183288 BLAKE2B c5390f4fc37cfa960c552b5c71a7053dc86e2b6e8f73caefb9dbb98c43b75a37ffbfbee510a85a0d0b567da2adf68ab6586fb2c15b7375e5ceb8d397337b2dc5 SHA512 6ef568088e7f02bef41648fdd788c29b882526addf03241198d9146da1dcbd201fd9eecea98078b892d54eb6b819b35f4752443f8eca8a4301b6909c65321de9
+DIST wrapt-2.5.0.tar.gz.provenance 10102 BLAKE2B 3750577ff9d659fb7123ebb9f371d238e58d1fb26c95e8bdf3a542170c1d2ce5944786f6b96d09d4888e8b76d0b76a72e89a5679e4e6a19aba8f49b085b2410d SHA512 3934ef0f579f2369f72fac0b354596913d5ac792d30ddaf5aefbca01101a21f64978a4853d99fa4ddc8bb93a6d61c955849767493ffacab8cca0294be63f5b62
diff --git a/dev-python/wrapt/wrapt-2.5.0.ebuild b/dev-python/wrapt/wrapt-2.5.0.ebuild
new file mode 100644
index 000000000000..c0b172cb4e24
--- /dev/null
+++ b/dev-python/wrapt/wrapt-2.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/GrahamDumpleton/wrapt
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+MY_P=${P/_}
+DESCRIPTION="Module for decorators, wrappers and monkey patching"
+HOMEPAGE="
+ https://github.com/GrahamDumpleton/wrapt/
+ https://pypi.org/project/wrapt/
+"
+
+LICENSE="BSD"
+SLOT="0"
+if [[ ${PV} != *_rc* ]]; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+fi
+IUSE="+native-extensions"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # skip mypy tests, they are fragile
+ rm -r tests/mypy || die
+}
+
+python_compile() {
+ local -x WRAPT_INSTALL_EXTENSIONS=$(usex native-extensions true false)
+ distutils-r1_python_compile
+}